ClientXADataSource40 (Apache Derby 10.3 API Documentation)
Date: 2007-08-01

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.derby.jdbc
Class ClientXADataSource40

    java.lang.Object
      org.apache.derby.jdbc.ClientBaseDataSource
          org.apache.derby.jdbc.ClientDataSource
              org.apache.derby.jdbc.ClientXADataSource
                  org.apache.derby.jdbc.ClientXADataSource40

All Implemented Interfaces:
  java.io.Serializable, java.sql.Wrapper, javax.naming.Referenceable, javax.sql.CommonDataSource, javax.sql.DataSource, javax.sql.XADataSource

    public class ClientXADataSource40

extends org.apache.derby.jdbc.ClientXADataSource

This is Derby's network XADataSource for use with JDBC4.0.

An XADataSource is a factory for XAConnection objects. It represents a RM in a DTP environment. An object that implements the XADataSource interface is typically registered with a JNDI service provider.

ClientXADataSource40 supports the JDBC 4.0 specification for the J2SE 6.0 Java Virtual Machine environment. Use ClientXADataSource if your application runs in the following environments:

- JDBC 3.0 - Java 2 - JDK 1.4, J2SE 5.0
- JDBC 2.0 - Java 2 - JDK 1.2,1.3

ClientXADataSource40 is serializable and referenceable.

See ClientDataSource40 for DataSource properties.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.derby.jdbc.ClientXADataSource
`className__`

Fields inherited from class org.apache.derby.jdbc.ClientBaseDataSource
`CLEAR_TEXT_PASSWORD_SECURITY, connectionAttributes, ENCRYPTED_PASSWORD_SECURITY, ENCRYPTED_USER_AND_PASSWORD_SECURITY, propertyDefault_portNumber, propertyDefault_retrieveMessageText, propertyDefault_securityMechanism, propertyDefault_serverName, propertyDefault_traceFileAppend, propertyDefault_traceLevel, propertyDefault_user, securityMechanism, SSL_BASIC, SSL_OFF, SSL_PEER_AUTHENTICATION, STRONG_PASSWORD_SUBSTITUTE_SECURITY, TRACE_ALL, TRACE_CONNECTION_CALLS, TRACE_CONNECTS, TRACE_DIAGNOSTICS, TRACE_DRIVER_CONFIGURATION, TRACE_NONE, TRACE_PARAMETER_META_DATA, TRACE_PROTOCOL_FLOWS, TRACE_RESULT_SET_CALLS, TRACE_RESULT_SET_META_DATA, TRACE_STATEMENT_CALLS, TRACE_XA_CALLS, traceLevel, USER_ONLY_SECURITY`

Constructor Summary
`ClientXADataSource40()`

Method Summary
`boolean` | `isWrapperFor(java.lang.Class<?> interfaces)` Returns false unless `interfaces` is implemented
`
`<T> T`
` | `unwrap(java.lang.Class<T> interfaces)` Returns `this` if this class implements the interface

Methods inherited from class org.apache.derby.jdbc.ClientXADataSource
`getXAConnection, getXAConnection`

Methods inherited from class org.apache.derby.jdbc.ClientDataSource
`getConnection, getConnection`

Methods inherited from class org.apache.derby.jdbc.ClientBaseDataSource
`computeDncLogWriter, getClientSSLMode, getConnectionAttributes, getCreateDatabase, getDatabaseName, getDataSourceName, getDescription, getLoginTimeout, getLogWriter, getPassword, getPassword, getPortNumber, getReference, getRetrieveMessageText, getRetrieveMessageText, getSecurityMechanism, getSecurityMechanism, getSecurityMechanism, getServerName, getShutdownDatabase, getSsl, getSSLModeFromString, getTraceDirectory, getTraceDirectory, getTraceFile, getTraceFile, getTraceFileAppend, getTraceFileAppend, getTraceLevel, getTraceLevel, getUpgradedSecurityMechanism, getUser, getUser, setConnectionAttributes, setCreateDatabase, setDatabaseName, setDataSourceName, setDescription, setLoginTimeout, setLogWriter, setPassword, setPortNumber, setRetrieveMessageText, setSecurityMechanism, setServerName, setShutdownDatabase, setSsl, setSsl, setTraceDirectory, setTraceFile, setTraceFileAppend, setTraceLevel, setUser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.sql.CommonDataSource
`getLoginTimeout, getLogWriter, setLoginTimeout, setLogWriter`

Constructor Detail

### ClientXADataSource40

    public ClientXADataSource40()

Method Detail

### isWrapperFor

    public boolean isWrapperFor(java.lang.Class<?> interfaces)
                         throws java.sql.SQLException

  Returns false unless `interfaces` is implemented

  Parameters:
    `interfaces` - a Class defining an interface.
  Returns:
    true if this implements the interface or directly or indirectly wraps an object that does.
  Throws:
    `java.sql.SQLException` - if an error occurs while determining whether this is a wrapper for an object with the given interface.

### unwrap

    public <T> T unwrap(java.lang.Class<T> interfaces)
             throws java.sql.SQLException

  Returns `this` if this class implements the interface

  Parameters:
    `interfaces` - a Class defining an interface
  Returns:
    an object that implements the interface
  Throws:
    `java.sql.SQLExption` - if no object if found that implements the interface
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Built on Wed 2007-08-01 06:53:39-0700, from revision 561794
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache Derby 10.3 API Documentation - Copyright © 2004,2007 The Apache Software Foundation. All Rights Reserved.